Bug 170073 - Cannot configure snd-dummy
Summary: Cannot configure snd-dummy
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-06 23:52 UTC by Peter Lawler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 13:46:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Lawler 2005-10-06 23:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I run a headless/soundcardless server, on which I want to do things which require the dummy audio driver. As there is no soundcard, system-config-soundcard faults out:
Traceback (most recent call last):
  File "/usr/share/system-config-soundcard/system-config-soundcard.py", line 46, in ?
    app = soundcard.childWindow()
  File "/usr/share/system-config-soundcard/soundcard.py", line 64, in __init__
    self.cardList = self.soundcardBackend.probeCards()
  File "/usr/share/system-config-soundcard/soundcardBackend.py", line 111, in probeCards
    driverList = read_driver_list()
  File "/usr/share/system-config-soundcard/soundcardBackend.py", line 48, in read_driver_list
    fd = open('/proc/asound/modules', 'r') 
IOError: [Errno 2] No such file or directory: '/proc/asound/modules'


Ideally, it should offer to config the dummy driver. It should at least provide better information as to what a normal user should do.

Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.12-2

How reproducible:
Always

Steps to Reproduce:
1. Remove soundcard from system
2. Run system-config-soundcard

Actual Results:  Crash with No such file or directory: '/proc/asound/modules'

Expected Results:  Either offer to install dummy sound drivers, or confirm that no sound card is installed (or both)


Additional info:

Comment 1 Martin Stransky 2005-10-26 13:46:18 UTC
fixed in devel.


Note You need to log in before you can comment on or make changes to this bug.